org.wildfly.swarm.config.ee

## Class DefaultBindingsService<T extends DefaultBindingsService<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.ee.DefaultBindingsService<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class DefaultBindingsService<T extends DefaultBindingsService<T>>
      extends HashMap

  The JNDI names for the default EE bindings
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultBindingsService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `contextService()` The JNDI name where the default EE Context Service can be found
    `T` | `contextService(String value)` The JNDI name where the default EE Context Service can be found
    `String` | `datasource()` The JNDI name where the default EE Datasource can be found
    `T` | `datasource(String value)` The JNDI name where the default EE Datasource can be found
    `String` | `getKey()`
    `String` | `jmsConnectionFactory()` The JNDI name where the default EE JMS Connection Factory can be found
    `T` | `jmsConnectionFactory(String value)` The JNDI name where the default EE JMS Connection Factory can be found
    `String` | `managedExecutorService()` The JNDI name where the default EE Managed Executor Service can be found
    `T` | `managedExecutorService(String value)` The JNDI name where the default EE Managed Executor Service can be found
    `String` | `managedScheduledExecutorService()` The JNDI name where the default EE Managed Scheduled Executor Service can be found
    `T` | `managedScheduledExecutorService(String value)` The JNDI name where the default EE Managed Scheduled Executor Service can be found
    `String` | `managedThreadFactory()` The JNDI name where the default EE Managed Thread Factory can be found
    `T` | `managedThreadFactory(String value)` The JNDI name where the default EE Managed Thread Factory can be found
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### DefaultBindingsService

          public DefaultBindingsService()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### contextService

          public String contextService()

      The JNDI name where the default EE Context Service can be found

    - #### contextService

          public T contextService(String value)

      The JNDI name where the default EE Context Service can be found

    - #### datasource

          public String datasource()

      The JNDI name where the default EE Datasource can be found

    - #### datasource

          public T datasource(String value)

      The JNDI name where the default EE Datasource can be found

    - #### jmsConnectionFactory

          public String jmsConnectionFactory()

      The JNDI name where the default EE JMS Connection Factory can be found

    - #### jmsConnectionFactory

          public T jmsConnectionFactory(String value)

      The JNDI name where the default EE JMS Connection Factory can be found

    - #### managedExecutorService

          public String managedExecutorService()

      The JNDI name where the default EE Managed Executor Service can be found

    - #### managedExecutorService

          public T managedExecutorService(String value)

      The JNDI name where the default EE Managed Executor Service can be found

    - #### managedScheduledExecutorService

          public String managedScheduledExecutorService()

      The JNDI name where the default EE Managed Scheduled Executor Service can be found

    - #### managedScheduledExecutorService

          public T managedScheduledExecutorService(String value)

      The JNDI name where the default EE Managed Scheduled Executor Service can be found

    - #### managedThreadFactory

          public String managedThreadFactory()

      The JNDI name where the default EE Managed Thread Factory can be found

    - #### managedThreadFactory

          public T managedThreadFactory(String value)

      The JNDI name where the default EE Managed Thread Factory can be found

Copyright © 2017 JBoss by Red Hat. All rights reserved.